## kdepim-runtime 17.04.3

=== debian/changelog ===
kdepim-runtime (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new libkpimkdav-dev as build dep

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Remove upstream_fix_build_with_cmake_3.8.patch, applied upstream.
  * Cherry-pick fix from Neon for https://bugs.kde.org/show_bug.cgi?id=379089
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * Remove kubuntu_disable_flaky_test.patch, issue fixed upstream.
  * Add kubuntu_disable_failing_tests.diff
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:36 +0100

kdepim-runtime (4:16.12.3-0ubuntu2) artful; urgency=medium

  * debian/patches: add upstream_fix_build_with_cmake_3.8.patch 

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 12 May 2017 18:11:46 +0100

kdepim-runtime (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)
  * Increase build depend on libkgapi to version 5.3

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:05 +0100
