=== debian/changelog ===
kdepim-runtime (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Don't depend on obsolete kio-smtp

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 01 Apr 2018 00:38:09 +0100

kdepim-runtime (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:11 +0000

kdepim-runtime (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Ignore another flakey test. Add to a list to try fixing for 17.12.3

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 15:04:53 +0000

kdepim-runtime (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Add the new pimkolab tests to the disabled tests patch. KDE
    do not run or QA these tests on their CI.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 00:25:59 +0000

kdepim-runtime (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Drop build dep on external libkolab. A libpimkolab is now included
    in this source. Include libkolabxml-dev instead, as this is still
    required.
  * Install new files for 'Akonadi resource for Microsoft Exchange Web
    Services'
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Drop upstream applied test patch
    - find_resource_interface_when_running_test_environment.diff
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:36 +0000

kdepim-runtime (4:17.08.3-0ubuntu4) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:24 +0100

kdepim-runtime (4:17.08.3-0ubuntu3) bionic; urgency=medium

  * Update kubuntu_disable_failing_tests.diff for akonadi_sqlite_pop3 test.
    sqlite is not our default supported backend, so this failure can be
    investigated to fix for KDE applications 17.12

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 08 Dec 2017 12:19:30 +0000

kdepim-runtime (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Add upstream find_resource_interface_when_running_test_environment patch.

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 07 Dec 2017 01:50:06 +0000

kdepim-runtime (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Update install files for new 'Facebook event sync resource'
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:53 +0000
