=== debian/control ===
--- 
+++ 
@@ -12,36 +12,40 @@
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
                libboost-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicalendar-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5akonadinotes-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
-               libkf5alarmcalendar-dev (>= 4:17.04.3~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libboost-program-options-dev,
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicalendar-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadinotes-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
+               libkf5alarmcalendar-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
-               libkf5imap-dev (>= 17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
+               libkf5imap-dev (>= 17.12.3~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5mbox-dev (>= 17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5mbox-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
-               libkf5syndication-dev (>= 17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5syndication-dev (>= 17.12.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libkolab-dev (>= 1.0.2),
-               libkpimgapi-dev (>= 17.04.3~),
-               libkpimkdav-dev (>= 17.04.3~),
+               libkolabxml-dev (>= 1.1),
+               libkpimgapi-dev (>= 17.12.3~),
+               libkpimkdav-dev (>= 17.12.3~),
+               libqt5texttospeech5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),
                libqt5webenginewidgets5 (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4.0~),
@@ -65,7 +69,6 @@
 Depends: akonadi-server (>= 1.8),
          kio-ldap,
          kio-sieve,
-         kio-smtp,
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: akonadi-kde,
