## kdepim-runtime 18.04.3

=== debian/changelog ===
kdepim-runtime (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New usptream version
  * New upstream release (18.03.80)
  * Remove akonadi plugins from install file, as moved to other source
    packages in PIM
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/not-installed: Update to format required by dh_missing

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:37 +0100

kdepim-runtime (4:17.12.3-0ubuntu3) cosmic; urgency=medium

  * Skip running testsuite until we can follow debian and remove
    completly due to extreme brokenness

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 17 May 2018 16:16:04 +0100
