=== debian/control ===
--- 
+++ 
@@ -13,38 +13,38 @@
                kross-dev (>= 5.31.0~),
                libboost-dev (>= 1.40.0-2),
                libboost-program-options-dev,
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicalendar-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
-               libkf5akonadinotes-dev (>= 4:17.12.3~),
-               libkf5akonadiserver-dev (>= 4:17.12.3~),
-               libkf5alarmcalendar-dev (>= 4:17.12.3~),
-               libkf5calendarcore-dev (>= 4:17.12.3~),
-               libkf5calendarutils-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicalendar-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
+               libkf5akonadinotes-dev (>= 4:18.04.3~),
+               libkf5akonadiserver-dev (>= 4:18.04.3~),
+               libkf5alarmcalendar-dev (>= 4:18.04.3~),
+               libkf5calendarcore-dev (>= 4:18.04.3~),
+               libkf5calendarutils-dev (>= 4:18.04.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
-               libkf5identitymanagement-dev (>= 17.12.3~),
-               libkf5imap-dev (>= 17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
+               libkf5identitymanagement-dev (>= 18.04.3~),
+               libkf5imap-dev (>= 18.04.3~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5mailtransport-dev (>= 17.12.3~),
-               libkf5mbox-dev (>= 17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5mailtransport-dev (>= 18.04.3~),
+               libkf5mbox-dev (>= 18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
-               libkf5syndication-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
+               libkf5syndication-dev (>= 18.04.3~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkolabxml-dev (>= 1.1),
-               libkpimgapi-dev (>= 17.12.3~),
-               libkpimkdav-dev (>= 17.12.3~),
+               libkpimgapi-dev (>= 18.04.3~),
+               libkpimkdav-dev (>= 18.04.3~),
                libqt5texttospeech5-dev,
                libqt5webchannel5-dev (>= 5.6.1~),
                libqt5webenginewidgets5 (>= 5.6.1~),
@@ -58,7 +58,7 @@
                qtpositioning5-dev (>= 5.6.1~),
                qtwebengine5-dev (>= 5.6.1~),
                shared-mime-info (>= 0.30),
-               xsltproc
+               xsltproc,
 Standards-Version: 3.9.6
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
